> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/zec/public-ipv6/inquirypricepublicipv6.md).

# InquiryPricePublicIpv6

## 1. API Description

This API (InquiryPricePublicIpv6) is used to inquire the price of assigning a public IPv6 address. Both traffic package and fixed bandwidth billing modes are supported.

{% hint style="info" %}
**Notes**

* The size of the guaranteed traffic package is only valid for billing periods of one month.
  {% endhint %}

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name | Required | Type    | Description                                                                                                                                                                                                                              |
| -------------- | -------- | ------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| regionId       | Yes      | String  | <p>Region ID.</p><p>It can be obtained by calling <a href="/api-reference/zec/location/describeregions.md">DescribeRegions</a>.</p>                                                                                                      |
| packageSize    | No       | Float   | <p>Traffic package size (TB). The unit is TB.</p><p>This value takes effect only when internetChargeType is set to ByTrafficPackage .</p><p>The default value is 0.</p><p>Maximum of one decimal place.</p><p>Value range: \[0.0, +)</p> |
| bandwidth      | No       | Integer | <p>Outbound public network bandwidth cap (Mbps). Unit: Mbps.</p><p>The value differs with different instance types.</p><p>Value range: \[1, +)</p>                                                                                       |
| amount         | No       | Integer | <p>Number of public IPv6 addresses for the price inquiry.</p><p>The price accumulates by quantity.</p><p>Value range: \[1, +)</p><p>Default value: 1</p>                                                                                 |

## 3. Output Parameters

| Parameter Name | Type                                                       | Description                                                                                                           |
| -------------- | ---------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String                                                     | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |
| bandwidthPrice | [PriceItem](/api-reference/zec/datastructure.md#priceitem) | Price of bandwidth.                                                                                                   |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**1. Inquire the price of a public IPv6 billed by a 10 TB traffic package in the asia-east-1 region.**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: InquiryPricePublicIpv6
<Common Request Params>

Request:
{
  "regionId": "asia-east-1",
  "packageSize": 10
}

Response:
{
  "requestId": "TF84F83D3-8F9B-4F49-952E-A7278F7C1183",
  "response": {
    "bandwidthPrice": {
      "discount": 100.0,
      "discountPrice": 2000.0,
      "originalPrice": 2000.0,
      "unitPrice": null,
      "discountUnitPrice": null,
      "chargeUnit": null,
      "excessUnitPrice": 2.0,
      "excessDiscountUnitPrice": 2.0,
      "excessAmountUnit": "GB",
      "stepPrices": null
    },
    "requestId": "TF84F83D3-8F9B-4F49-952E-A7278F7C1183"
  }
}
```

**2. Inquire the price of 3 public IPv6 addresses with a fixed bandwidth of 100 Mbps in the asia-east-1 region in a single request.**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: InquiryPricePublicIpv6
<Common Request Params>

Request:
{
  "regionId": "asia-east-1",
  "bandwidth": 100,
  "amount": 3
}

Response:
{
  "requestId": "TF84F83D3-8F9B-4F49-952E-A7278F7C1183",
  "response": {
    "bandwidthPrice": {
      "discount": 100.0,
      "discountPrice": 300.0,
      "originalPrice": 300.0,
      "unitPrice": 100.0,
      "discountUnitPrice": 100.0,
      "chargeUnit": "Month",
      "excessUnitPrice": null,
      "excessDiscountUnitPrice": null,
      "excessAmountUnit": null,
      "stepPrices": null
    },
    "requestId": "TF84F83D3-8F9B-4F49-952E-A7278F7C1183"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code                                                     | Description                                                                                                    |
| ---------------- | -------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------- |
| 404              | INVALID\_ZONE\_NOT\_FOUND                                      | Region does not exist.                                                                                         |
| 400              | OPERATION\_DENIED\_FLOW\_PACKAGE\_NOT\_SUPPORTED\_HOUR\_PERIOD | The current product cycle is based on hourly billing and does not support setting a minimum data package size. |
